import bee
import Spyder
from bee.spyderhive.hivemaphive import hivemapframe
from dragonfly.blenderhive import blenderhive

# Load from the web (hive map gui output)    
class myhivemapframe(hivemapframe):
    hivemap = Spyder.Hivemap.fromfile("Tester.web")


# Give the hive blender control
class myhive(blenderhive):  
    h = myhivemapframe()
    raiser = bee.raiser() 
    bee.connect("evexc", raiser) 
 

# Setup the environment        
m = myhive().getinstance()
m.build("main")
m.place()
m.close()
m.init()
m.run()
